| DocBook: The Definitive Guide 2.0.17 (Alpha)

# subject

$Revision$

$Date$

subject — One of a group of terms describing the subject matter of a document

## Synopsis

### Content Model

    subject ::=
    (subjectterm+)

### Attributes

Common attributes

Name | Type | Default
weight | CDATA | None

## Description

A “subject” categorizes or describes the topic of a document, or section of a document. In DocBook, a `Subject` is defined by the `SubjectTerm`s that it contains.

Subject terms should be drawn from a controlled vocabulary, such as the Library of Congress Subject Headings. If an outside vocabulary is not appropriate, a local or institutional subject set should be created.

The advantage of a controlled vocabulary is that it places the document into a known subject space. Searching the subject space with a particular subject term will find all of the documents that claim to have that subject. There's no need to worry about terms that are synonymous with the search item, or homophones of the search term.

All of the `SubjectTerm`s in a `Subject` should describe the same subject, and be from the same controlled vocabulary.

### Processing expectations

May be formatted inline or as a displayed block, depending on context. Subjects are rarely displayed to a reader. Usually, they are reserved for searching and retrieval purposes.

Unlike `Keyword`s, which may be chosen freely, subject terms should come from a controlled vocabulary.

In order to assure that typographic or other errors are not introduced into the subject terms, they should be compared against the controlled vocabulary by an external process.

### Parents

These elements contain subject: `subjectset`.

### Children

The following elements occur in subject: `subjectterm`.

## Attributes

weight

  `Weight` specifies a ranking for this `Subject` relative to other subjects in the same set.

## See Also

`keyword`, `keywordset`, `subjectset`, `subjectterm`.

## Examples

For examples, see `subjectset`.

structname |  | subjectset

Copyright © 1999, 2000, 2001, 2002, 2003 O'Reilly & Associates, Inc. All rights reserved.